$(function(){
    /*return top*/
    $(".f_top").click(function(){
        $("html,body").animate({"scrollTop":0});
    });
    /*product_details.html*/
    $(".pd_inquiry").click(function(){
        $("html,body").animate({"scrollTop":$("#inquery").offset().top},500);
        $("#inquery").addClass("pd_active").siblings().removeClass("pd_active");
        var s=$("#inquery").index();
        $(".pd_con_"+s).css("display","block").siblings().css("display","none");
    });
	$(".pd_inquiry").click(function(){
        $("html,body").animate({scrollTop:$("#inquery").offset().top});
        var g=$("#inquery").index();
        $(".pd_con_"+g).fadeIn().siblings().css("display","none");
    });
    /*top search*/
    $("#top_search").click(function(){
        if($(".top_ser").css("display")==="none"){
            $(this).addClass("top_close").removeClass("top_search");
            $(".top_ser").fadeIn();
        }else{
            $(this).addClass("top_search").removeClass("top_close");
            $(".top_ser").fadeOut();
        }
    });
    if(window.screen.width>=1200){
        /*daohang*/
        $(".top_ul li").hover(function(){
            $(this).find("ul:first").addClass("nav_on");

        },function(){
            $(this).find("ul:first").removeClass("nav_on");
        });
    }
    /*index.html follow*/
    $(".sc_sign a").hover(function(){
        var n=$(this).index();
        $(this).removeClass("si_"+n).addClass("di_"+n);
    },function(){
        var n=$(this).index();
        $(this).removeClass("di_"+n).addClass("si_"+n);
    });

     /*foot form*/
     $(".foot_form").submit(function(){

         if(!/^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/.test($("#f_form").val())){
             $("#f_form").css("borderColor","#ff0000"); 
             return false;
         }else{
             $("#f_form").css("borderColor","#494848");
         }

         return true;
     });

  /*  /!*img jia class="img-responsive"*!/

    $("img:not('.relater_pc img,.dropdown img')").addClass("img-responsive");*

    /*service.html*/
    $(".ser_ul li").click(function(){
        $(this).addClass("ser_active").siblings().removeClass("ser_active");
        var i=$(this).index();
        $(".ser_con_"+i).css("display","block").siblings().css("display","none");
    });

    /*product details.html tab*/
    $(".sc_pd_two li").click(function(){
        $(this).addClass("pd_active").siblings().removeClass("pd_active");
        var j=$(this).index();
        $(".pd_con_"+j).css("display","block").siblings().css("display","none");
    });

    /*news.html*/
    $(".n_right dt").hover(function(e){
        e.stopPropagation();
        $(this).find("span").slideDown();
    },function(){
        $(this).find("span").slideUp();
    });

    /*news_details.html*/

    $(".nd_ul li").click(function(e){
        if($(this).find("ul:first").css("display")==="none"){
            $(this).find("ul:first").slideDown();
        }else{
            $(this).find("ul:first").slideUp();
        }

    });

    /*contact form yanzheng*/
    $(".sc_contact_form").submit(function(){

        if($.trim($("#c_fname").val())==="" || $("#c_fname").val()===$("#c_fname").attr("placeholder")){
            $("#c_fname").css("border-color","#ff0000");
            $("#c_fname").next().fadeIn();
            return false;
        }else{
            $("#c_fname").css("border-color","#ccc");
            $("#c_fname").next().fadeOut();
        }

        if($.trim($("#c_lname").val())==="" || $("#c_lname").val()===$("#c_lname").attr("placeholder")){
            $("#c_lname").css("border-color","#ff0000");
            $("#c_lname").next().fadeIn();
            return false;
        }else{
            $("#c_lname").css("border-color","#ccc");
            $("#c_lname").next().fadeOut();
        }

        if(!/^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/.test($("#c_email").val())){
            $("#c_email").css("border-color","#ff0000");
            $("#c_email").next().fadeIn();
            return false;
        }else{
            $("#c_email").css("border-color","#ccc");
            $("#c_email").next().fadeOut();
        }

        if($.trim($("#c_phone").val())==="" || $("#c_phone").val()===$("#c_phone").attr("placeholder")){
            $("#c_phone").css("border-color","#ff0000");
            $("#c_phone").next().fadeIn();
            return false;
        }else{
            $("#c_phone").css("border-color","#ccc");
            $("#c_phone").next().fadeOut();
        }

        if($.trim($("#c_mes").val())==="" || $("#c_mes").val()===$("#c_mes").attr("placeholder")){
            $("#c_mes").css("border-color","#ff0000");
            $("#c_mes").next().fadeIn();
            return false;
        }else{
            $("#c_mes").css("border-color","#ccc");
            $("#c_mes").next().fadeOut();
        }
        return true;
    });
    if(window.screen.width<1200){
        $(".top_ul>li").click(function(e){
            e.stopPropagation();
            if($(this).find("ul:first").css("display")==="none"){
                $(this).find("ul:first").css("display","block");
            }else{
                $(this).find("ul:first").css("display","none");
            }
        });
        $(".top_ul li ul li").click(function(e){         
            e.stopPropagation();
            if($(this).find("ul:first").css("display")==="none"){
                $(this).find("ul:first").css("display","block");
            }else{
                $(this).find("ul:first").css("display","none");
            }
        });

        $("#yd").click(function(){
            if($(".top_ul").css("display")==="none"){
                $(".top_ul").slideDown();
                $("#yd").addClass("y_close").removeClass("y_open");
            }else{
                $(".top_ul").slideUp();
                $("#yd").addClass("y_open").removeClass("y_close");
            }
        })

   var browser=navigator.appName;
    var b_version=navigator.appVersion;
    var version=b_version.split(";");
    var trim_Version=version[1].replace(/[ ]/g,"");
    if(browser==="Microsoft Internet Explorer" && trim_Version==="MSIE6.0")
    {
        alert("Your browser version is too low to be updated to higher browsers (suitable for Google, Firefox, IE9 and above).");
    }
    else if(browser==="Microsoft Internet Explorer" && trim_Version==="MSIE7.0")
    {
        alert("Your browser version is too low to be updated to higher browsers (suitable for Google, Firefox, IE9 and above).");
    }
    else if(browser==="Microsoft Internet Explorer" && trim_Version==="MSIE8.0")
    {
        alert("Your browser version is too low to be updated to higher browsers (suitable for Google, Firefox, IE9 and above).");
    }

    }



});//end;